#ifndef CONTEXTFREEPLUGINEXAMPLE_H
#define CONTEXTFREEPLUGINEXAMPLE_H

#include <QObject>
#include <QFileDialog>
#include <cubepluginapi/ContextFreePlugin.h>

class ContextFreePluginExample : public QObject, public cubepluginapi::ContextFreePlugin
{
    Q_OBJECT
    Q_INTERFACES(cubepluginapi::ContextFreePlugin)
    Q_PLUGIN_METADATA(IID "ContextFreePluginExample")

public:
    // ContextFreePlugin interface
    virtual QString name() const;
    virtual void opened(cubepluginapi::ContextFreeServices* service);
    virtual void closed();
    virtual void version(int& major, int& minor, int& bugfix) const;
    virtual QString getHelpText() const;

private slots:
    void startAction();

private:
    cubepluginapi::ContextFreeServices* service;
};

#endif // CONTEXTFREEPLUGINEXAMPLE_H
