# Define the Cube configuration paths
CUBELIB_CONFIG = /mnt/e/Cube/4.9/bin/cubelib-config
CUBEGUI_CONFIG = /mnt/e/Cube/4.9/bin/cubegui-config

# Set the project name and type
TEMPLATE = lib
CONFIG += plugin
TARGET = $$qtLibraryTarget(CubeJsonPlugin)

# Set C++ standard
CONFIG += c++17

# Include paths from Cube configuration
INCLUDEPATH += $$system($$CUBEGUI_CONFIG --include) $$system($$CUBELIB_CONFIG --include)

# Link Cube libraries
LIBS += $$system($$CUBEGUI_CONFIG --ldflags) $$system($$CUBELIB_CONFIG --ldflags) \
       $$system($$CUBEGUI_CONFIG --libs) $$system($$CUBELIB_CONFIG --libs)

# Qt dependencies
QT += core widgets gui

# Source and header files
HEADERS += \
    CubeJsonPlugin.h \
    SystemTreeParser.h

SOURCES += \
    CubeJsonPlugin.cpp \
    SystemTreeParser.cpp

# Installation path for the plugin
target.path = /opt/cube/lib64/plugins
INSTALLS += target
