# Define the path to cube-config script
CUBELIB_CONFIG = /mnt/e/Cube/4.9/bin/cubelib-config
CUBEGUI_CONFIG = /mnt/e/Cube/4.9/bin/cubegui-config

# Include and link flags
INCLUDEPATH += $$system($$CUBEGUI_CONFIG --include) $$system($$CUBELIB_CONFIG --include)
LIBS += $$system($$CUBEGUI_CONFIG --ldflags) $$system($$CUBEGUI_CONFIG --libs) \
        $$system($$CUBELIB_CONFIG --ldflags) $$system($$CUBELIB_CONFIG --libs)

# Define the type of build
TEMPLATE = lib
CONFIG += plugin

# Qt Widget dependency
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

# Source and header files
HEADERS = SimpleExample.h
SOURCES = SimpleExample.cpp

# Output file
TARGET = $$qtLibraryTarget(SimpleExamplePlugin)
